Chabad Library Text Processing API
  1. Processing
Chabad Library Text Processing API
  • System
    • Health Check
      GET
  • Search
    • Search Chabad Library
      GET
  • Texts
    • List All Texts
      GET
    • Get Text by Slug
      GET
  • Extraction
    • Test Chabad Library API
      GET
    • Extract Text from Document
      POST
  • Processing
    • Generate Document Outline
      POST
    • Process Complete Document
      POST
    • Translate Document Segment
      POST
  • Schemas
    • HealthResponse
    • ErrorResponse
    • SourceMetadata
    • OutlineSegment
    • DocumentOutline
    • TranslationData
    • Footnote
    • TranslatedSegment
    • EnrichedSegment
    • ProcessedDocument
    • SearchResult
    • SearchResultsResponse
    • WorkByIdResponse
    • NavSearchResult
    • TextListItem
    • NavSearchResultsResponse
    • PaginationInfo
    • PaginatedTextsResponse
  1. Processing

Generate Document Outline

POST
/api/outline
Generate a structured outline from a PDF document using AI. The outline includes source metadata, chapter information, segment titles, summaries, and Hebrew start/end phrases. Supports multiple AI providers (Gemini, OpenAI) for comparison.

Request

Query Params

Body Params multipart/form-dataRequired

Responses

馃煝200Success
application/json
Document outline (single provider) or comparison (multiple providers)
Body

馃煚400400
馃敶500500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/outline?providers=gemini' \
--form 'file=@""'
Response Response Example
200 - Example 1
{
    "source_metadata": {
        "publication_title": "诇拽讜讟讬 砖讬讞讜转",
        "work_title": "转专讜诪讛 - 砖讬讞讛 讗",
        "author_name": "讻\"拽 讗讚诪讜\"专"
    },
    "outline_segments": [
        {
            "sequence_id": 0,
            "chapter_number": "string",
            "chapter_title": "string",
            "segment_title": "string",
            "summary": "string",
            "page_ref": "string",
            "start_phrase_hebrew": "string",
            "end_phrase_hebrew": "string"
        }
    ]
}
Modified at聽2025-12-03 11:51:17
Previous
Extract Text from Document
Next
Process Complete Document
Built with